Bug 45412 - Add portal entry for Univention Blog
Add portal entry for Univention Blog
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Portal
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-18 15:49 CEST by Florian Best
Modified: 2017-09-28 15:56 CEST (History)
0 users

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-09-18 15:49:37 CEST
A portal entry for the Univention Blog should be added to all Core Edition systems.
Comment 1 Florian Best univentionstaff 2017-09-20 14:16:07 CEST
A portal entry for the Univention Blog has been created. It will only be set up for Core Edition set ups. To disable it one can do:
ucr set 'portal/create-univention-blog-entry=false' && ucr set license/base="$(ucr get ldap/base)".

univention-portal (1.0.12-11):
a3b7adfb12e0 | Merge branch 'fbest/45412-blog-portal-entry' into 4.2-2
9efc91c769be | Bug #45412: Add Univention Blog portal entry

univention-portal.yaml:
7c9fea178219 | YAML Bug #45412
Comment 2 Johannes Keiser univentionstaff 2017-09-20 16:41:41 CEST
OK
Blog entry is there
Import License
Blog entry is gone
------------------

Setting portal/create-univention-blog-entry to false before importing a license or setting license/base on master
keeps the blog entry from disappearing

Blog entry is there
ucr set portal/create-univention-blog-entry='false'
Import license
Blog entry is still there

Blog entry is there
ucr set 'portal/create-univention-blog-entry=false'
ucr set license/base="$(ucr get ldap/base)"
Blog entry is still there


Blog entry is there
ucr set license/base="$(ucr get ldap/base)"
# ucr set 'portal/create-univention-blog-entry=false'
Blog entry is gone

I find the portal/create-univention-blog-entry ucr variable confusing since it does not trigger the creation of the portal entry on its own and potentially blocks the deletion of the portal entry if set before importing a license


Misc:
DE
    Link: points to english Blog
    should link to the german Blog like in the help menu
    
    Description:
    Maybe write out 'und' and capitalize the 'p' from practices
    (That is what Duden says at least)
    'News, Tipps und Best Practices'

EN
    Description:
    tips has only one 'p'
    'News, tips and best practices'
Comment 3 Florian Best univentionstaff 2017-09-20 17:04:58 CEST
(In reply to Johannes Keiser from comment #2)
> I find the portal/create-univention-blog-entry ucr variable confusing since
> it does not trigger the creation of the portal entry on its own and
> potentially blocks the deletion of the portal entry if set before importing
> a license
Oh yes, I moved this into the other if-block. So, the UCR variable is only evaluated on creation.

> Misc:
> DE
>     Link: points to english Blog
>     should link to the german Blog like in the help menu
Not possible. Blog links cannot be translated.
     
>     Description:
>     Maybe write out 'und' and capitalize the 'p' from practices
>     (That is what Duden says at least)
>     'News, Tipps und Best Practices'
Thanks

> EN
>     Description:
>     tips has only one 'p'
>     'News, tips and best practices'
Thanks

univention-portal (1.0.12-12):
904989907869 | Merge branch 'fbest/45412-blog-portal-entry' into 4.2-2
c6191819828e | Bug #45412: fix descriptions and UCR variable evaluation
Comment 4 Johannes Keiser univentionstaff 2017-09-21 11:20:10 CEST
(In reply to Florian Best from comment #3)
> univention-portal (1.0.12-12):
> 904989907869 | Merge branch 'fbest/45412-blog-portal-entry' into 4.2-2
> c6191819828e | Bug #45412: fix descriptions and UCR variable evaluation

OK Blog entry is now always removed when importing a license
I guess it is ok that portal/create-univention-blog-entry only takes effect after
setting license/base for Core Edition systems
OK Text
OK YAML (update version 702a1321f4bed9b21e63773645cea2e4a32949de)
-> verified
Comment 5 Philipp Hahn univentionstaff 2017-09-28 15:56:44 CEST
<http://errata.software-univention.de/ucs/4.2/188.html>